:root {
  --soft-blue: hsl(231, 69%, 60%);
  --soft-red: hsl(0, 94%, 66%);
  --grayish-blue: hsl(229, 8%, 60%);
  --very-dark-blue: hsl(229, 31%, 21%);
  --light-gray: #e5e5e5;
}

* {
  margin: 0;
  box-sizing: border-box;
}

body{
  color: var(--very-dark-blue);
  font-family: 'Rubik', sans-serif;
  font-size: 18px;
}

ul {
  padding: 0;
  list-style: none;
}

.u-wrapper {
  /*2bx*/
  max-width: 1280px;
  margin: 0 auto;
  padding: 0 1em;
  overflow: hidden;
}


.u-title {
  font-size: 1.5em;
  font-weight: 600;
}

.u-copy {
  margin-top: 15px;
  color: var(--grayish-blue);
  line-height: 1.5;
  font-size: .9em;
}

.u-button--cta {
  margin-left: .5em;
  padding: 1em 1em;
  border: none;
  border-radius: .5em;
  box-shadow: 0 5px 10px -5px var(--soft-blue);

  background-color: var(--soft-blue);
  color: white;

  font-size: 0.8em;
  font-weight: 600;

  cursor: pointer;
}
.u-button--cta.is-fullwith{
  width: 100%;
}


/*header*/
.header {
  position: sticky;
  top: 0;
  left: 0;
  right: 0;
  z-index: 10;
  padding: 1em 0;
  background-color: white;

  transition: .3s background;
}

.header__logo {
  display: inline-flex;
  width: 150px;
  height: 40px;
  background: url('./images/logo-bookmark.svg') no-repeat center;
  background-size: contain;
}

.header-content {
  display:flex;
  justify-content: space-between;
  align-items: center;
}




/*menu*/
.menu {
  position: absolute;
  top: 100%;
  left: 0;
  right: 0;
  visibility: hidden;
  opacity: 0;
  height: 100vh;
  
  background: rgba(47,53,79,.9);

  transform: translateY(-50px);
  transition: 1s transform, .1s opacity;
  will-change: transform;
}

.menu-icon {
  display: inline-flex;
  width: 40px;
  height: 40px;

  background: url('./images/icon-hamburger.svg') no-repeat center;
  user-select: none;
  cursor: pointer;
}

.menu-checkbox {
  display: none;
}

.menu-checkbox:checked ~ .header{
  background: rgba(47,53,79,.9);
}

.menu-checkbox:checked ~ .header .header__logo{
  background: url('./images/logo-bookmark-white.svg') no-repeat center;
}

.menu-checkbox:checked ~ .header .menu-icon{
  background: url('./images/icon-close.svg') no-repeat center;

}
.menu-checkbox:checked ~ .header .menu{
  visibility: visible;
  opacity: 1;
  transform: translateY(0);
}



.menu__list {
  padding: 20px 0;
  list-style: none;
}

.menu__item {
  border-top: 1px solid var(--grayish-blue);
}

.menu__item:last-child .menu__link{
  margin-top: 1em;
  padding: .7em;
  border: 2px solid white;
  border-radius: 5px;
}

.menu__link {
  display: block;
  text-align: center;
  padding: 1em;

  color: white;
  text-decoration: none;
  text-transform: uppercase;
  letter-spacing: 2px;
}

/*hero*/
.hero {
  text-align: center;
  padding: 4em 0;
}
.hero__image {
 max-width: 100%; 
}

.hero__title {
  margin: 30px 0;
  font-size: 1.5em;
  font-weight: 600;
}

.hero__copy {
  margin-top: 15px;
  color: var(--grayish-blue);
  line-height: 1.5;
}

.hero__buttons {
  padding-top: 1em;
}

.hero__button {
  margin-left: .5em;
  padding: 1em 1em;
  border: none;
  border-radius: .5em;
  box-shadow: 0 5px 10px -5px var(--soft-blue);

  background-color: #f7f7f7;
  color: var(--very-dark-blue);
  font-size: 0.8em;
  font-weight: 600;

  cursor: pointer;
}

.hero__button:first-of-type {
  margin: 0;
}

.hero__button--cta {
  background-color: var(--soft-blue);
  color: white;
}


/*Features*/
.features {
  text-align: center;
  padding: 3em 0;
}
/*tabs*/
.tabs {
  margin-top: 2em;
}

.tabs__link {
  /* padding: 1em 0; */
  border-bottom: 1px solid var(--grayish-blue);
}

.tabs input{
  display: none;
}
.tabs input[id="bookmarking"]:checked ~ ul [for="bookmarking"]:after{
  display: block;
}
.tabs input[id="searching"]:checked ~ ul [for="searching"]:after{
  display: block;
}
.tabs input[id="sharing"]:checked ~ ul [for="sharing"]:after{
  display: block;
}

.tabs label {
  display: block;
  position: relative;
  padding: 1em 0;
}

.tabs li label:after {
  display: none ;
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  height: 5px;
  width: 50%;
  transform: translateX(50%);
  box-shadow: inset 0 -15px 0px -10px var(--soft-red);
}

.tabs input[id="bookmarking"]:checked ~ .tabs__content #tab-bookmarking{
  display: flex;
}
.tabs input[id="searching"]:checked ~ .tabs__content #tab-searching{
  display: flex;
}
.tabs input[id="sharing"]:checked ~ .tabs__content #tab-sharing{
  display: flex;
}

.tabs__content {
  margin-top: 4em;
}

.tabs__content .tab {
  display: none;
  flex-direction: column;
  align-items: center;
}

.tab__image {
  max-width: 100%;
  margin-bottom: 1.5em;
}

.tab__link {
  margin-top: 2em;
}



/*Download*/
.download {
  text-align: center;
  padding: 3em 0;
}

.download__desc {
  margin-bottom: 3em;
  max-width: 500px;
  margin-inline: auto;
}
.download__grid {
  display: grid;
  row-gap: 2em;
  margin: 3em 1em;
}

.download__item {
  border-radius: 1em;
  padding: 1.5em;
  padding-top: 2.5em;
  box-shadow: 0 10px 11px -5px rgba(83,104,223,.3);
  background: url('./images/bg-dots.svg') repeat-x center bottom 100px;
}

.item__title {
  margin-top: 1.5em;
  margin-bottom: .5rem;
}

.item__desc {
  margin-top: .5em;
  margin-bottom: 4em;
}

/*Questions*/
.faq {
  margin-bottom: 4em;
  padding: 3em 0;
  text-align: center;
}

.faq__desc {
  max-width: 500px;
  margin-inline: auto;
}


/*Accordion*/
.accordion {
  max-width: 500px;
  margin: 2em auto;
  text-align: left;
}

.accordion__header {
  position: relative;
  padding: 1.5em 0;
  border-bottom: 1px solid var(--light-gray);
  font-size: .9em;
  list-style: none;
  cursor: pointer;
}

.accordion__header p {
  padding-right: .8em;
}

.accordion__header:focus {
  outline: 0;
}

.accordion__header:before {
  position: absolute;
  right: 0;
  content: " ▼";
  color: var(--soft-blue);
}
.accordion__content[open] .accordion__header:before { 
  color: var(--soft-red); 
  content: '▲';
}
.accordion__content[open] {
  padding-bottom: 1.5em;
  border-bottom: 1px solid var(--light-gray);
}
.accordion__content[open] .accordion__header{
  border: none;
}


/*Join*/
.join {
  padding: 3em 0;
  background: var(--soft-blue);
  color: white;
  text-align: center;
}
.join__copy {
  text-transform: uppercase;
  letter-spacing: 4px;
  font-size: .8em;
}
.join__title {
  margin-top: .5em;
  font-size: 1.3em;
  font-weight: 500;
}

.join-form {
  max-width: 350px;
  margin-inline: auto;
}

.join-form__button {
  margin: 0;
  background: var(--soft-red);
  color: white;
  font-size: .8em;
}

.join-form__input {
  width: 100%;
  padding: .8em;
  margin-top: 1.5em;
  margin-bottom: 1em;
  box-sizing: border-box;
  border: none;
  border-radius: 10px;
  font-size: 1em;
  outline: 0;
}
.join-form__input::placeholder {
  color: gray;
}


/*footer*/
.footer {
  padding: 3em 0;
  background: var(--very-dark-blue);
  text-align: center;
}
.footer-menu {
  margin-top: 2em;
}
.footer-menu__link {
  display: block;
  padding: 1em;
  color: white;
  text-decoration: none;
  text-transform: uppercase;
  letter-spacing: 1px;
  color: var(--light-gray);
}

.footer-social {
  margin-top: 2em;
}
.footer-social a {
  display: inline-block;
  width: 40px;
  height: 40px;
}

.footer-social__fb {
  background: url('./images/icon-facebook.svg') no-repeat center;
}

.footer-social__tw {
  background: url('./images/icon-twitter.svg') no-repeat center;
}
.is-hidden {
  display: none !important;
}

